>From 9b533f2a270af30df880b139f68ef5b08ebb3f59 Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Sun, 19 Jul 2015 13:17:38 -0700
Subject: [PROPOSED PATCH] Zone TYPEs other than '-' are now obsolescent

* NEWS: Document this.
* zic.8: Remove documentation of -y and of non-'-' TYPE values.
* zic.c (usage): Don't document -y.
---
 NEWS  |  9 +++++++++
 zic.8 | 29 +++--------------------------
 zic.c |  2 +-
 3 files changed, 13 insertions(+), 27 deletions(-)

diff --git a/NEWS b/NEWS
index 7fb023c..da98b19 100644
--- a/NEWS
+++ b/NEWS
@@ -12,6 +12,15 @@ Unreleased, experimental changes
     Moldova starts and ends DST at 00:00 UTC, not at 01:00 UTC.
     (Thanks to Roman Tudos.)
 
+  Changes affecting data format and code
+
+    zic's '-y YEARISTYPE' option is no longer documented.  The TYPE
+    field of a Rule line should now be '-'; the old values 'even',
+    'odd', 'uspres', 'nonpres', 'nonuspres' were already undocumented.
+    Although the implementation has not changed, these features do not
+    work in the default installation, they are not used in the data,
+    and they are now considered obsolescent.
+
   Changes affecting installed data files
 
     Data entries have been simplified for Atlantic/Canary, Europe/Simferopol,
diff --git a/zic.8 b/zic.8
index 968cc6f..fecedf8 100644
--- a/zic.8
+++ b/zic.8
@@ -119,13 +119,6 @@ or that starts with
 Limit time values stored in output files to values that are the same
 whether they're taken to be signed or unsigned.
 You can use this option to generate SVVS-compatible files.
-.TP
-.BI "\*-y " command
-Use the given
-.I command
-rather than
-.B yearistype
-when checking year types (see below).
 .PP
 Input files should be text files, that is, they should be a series of
 zero or more lines, each ending in a newline byte and containing at
@@ -203,27 +196,11 @@ may be used to repeat the value of the
 field.
 .TP
 .B TYPE
-Gives the type of year in which the rule applies.
-If
-.B TYPE
-is
+should be
 .q \*-
-then the rule applies in all years between
-.B FROM
-and
-.B TO
-inclusive.
-If
-.B TYPE
-is something else, then
+and is present for compatibility with older versions of
 .I zic
-executes the command
-.ti +.5i
-\fByearistype\fP \fIyear\fP \fItype\fP
-.br
-to check the type of a year:
-an exit status of zero is taken to mean that the year is of the given type;
-an exit status of one is taken to mean that the year is not of the given type.
+in which it could contain year types.
 .TP
 .B IN
 Names the month in which the rule takes effect.
diff --git a/zic.c b/zic.c
index 6fac4e3..bbcc4ef 100644
--- a/zic.c
+++ b/zic.c
@@ -493,7 +493,7 @@ usage(FILE *stream, int status)
   fprintf(stream,
 	  _("%s: usage is %s [ --version ] [ --help ] [ -v ] \\\n"
 	    "\t[ -l localtime ] [ -p posixrules ] [ -d directory ] \\\n"
-	    "\t[ -L leapseconds ] [ -y yearistype ] [ filename ... ]\n\n"
+	    "\t[ -L leapseconds ] [ filename ... ]\n\n"
 	    "Report bugs to %s.\n"),
 	  progname, progname, REPORT_BUGS_TO);
   if (status == EXIT_SUCCESS)
-- 
2.1.4

